<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.63
Name: Advance Directives Section - coded
Description: The advance directive section shall include entries for references to consent and advance directive documents (e.g., Durable Power of Attorney, Code Status) when known as described in the Entry Content Modules.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042">
   <title>Advance Directives Section - coded</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]"
         id="d20e5795-false-d39716e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63']) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63']) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30']) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30']) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35']) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35']) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34']) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34']) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]) &gt;= 1">(cdachsmcp_section_AdvanceDirectivesCoded): element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63']
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63']"
         id="d20e5797-false-d39809e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.63')">(cdachsmcp_section_AdvanceDirectivesCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.63'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30']
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30']"
         id="d20e5802-false-d39824e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.30')">(cdachsmcp_section_AdvanceDirectivesCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.30'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35']
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35']"
         id="d20e5807-false-d39839e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.35')">(cdachsmcp_section_AdvanceDirectivesCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.35'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34']
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34']"
         id="d20e5812-false-d39854e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.34')">(cdachsmcp_section_AdvanceDirectivesCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.34'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']"
         id="d20e5817-false-d39869e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.1')">(cdachsmcp_section_AdvanceDirectivesCoded): The value for root SHALL be '2.16.840.1.113883.10.20.1.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5823-false-d39884e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="@nullFlavor or (@code='42348-3' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Advance directives' and @codeSystemName='LOINC')">(cdachsmcp_section_AdvanceDirectivesCoded): The element value SHALL be one of 'code '42348-3' codeSystem '2.16.840.1.113883.6.1' displayName='Advance directives' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:title[not(@nullFlavor)]
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:title[not(@nullFlavor)]"
         id="d20e5831-false-d39900e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="not($languageCode='ge') or (text()='Patientenverfügungen')">(cdachsmcp_section_AdvanceDirectivesCoded): The German title must read 'Patientenverfügungen'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="not($languageCode='fr') or (text()='Directives anticipées')">(cdachsmcp_section_AdvanceDirectivesCoded): The French title must read 'Directives anticipées'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="not($languageCode='en') or (text()='Advance directives')">(cdachsmcp_section_AdvanceDirectivesCoded): The English title must read 'Advance directives'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:text[not(@nullFlavor)]"
         id="d20e5860-false-d39910e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.3.63-2017-09-13T201042.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_AdvanceDirectivesCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.63
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.63'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.30'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.35'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.34'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.1']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.113'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.78'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13.7'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.17']]]
Item: (cdachsmcp_section_AdvanceDirectivesCoded)
--></pattern>
