<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.4.108
Name: Evaluation Observation
Description: Evaluation of the patient regarding different physical functions.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410">
   <title>Evaluation Observation</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]"
         id="d20e8516-false-d45538e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@classCode) = ('OBS')">(cdachsmcp_entry_EvaluationObservation): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@moodCode) = ('EVN')">(cdachsmcp_entry_EvaluationObservation): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45602-0')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.7' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.1 (S'alimenter, boire) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.7
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45608-7')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.2 (Bain, douche) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45600-4')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.3 (S'habiller) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45606-1')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.7' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.4 (Hygiène personnelle) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.7
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45619-4')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.5 (Continence urinaire) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('69667-4')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.6 (Continence fécale) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45604-6')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.7' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 8.7 (Utilisation des toilettes) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.7
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46490-9')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.1 (Usage du téléphone) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46488-3')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.2 (Ménage courant) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46485-9')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.3 (Préparation des repas) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46489-1')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.4 (Faire les courses) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46487-5')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.5 (Faire la lessive, entretenir le linge) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-TAKMEDI')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.8' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.6 (Gestion des médicaments) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.8
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-ADMMGT')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.8' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.7 (Gestion de l’argent – Capacité) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.8
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-MGTST')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 9.8 (Gérer ses liens sociaux) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45588-1')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.1 (Transferts (lit-fauteuil-debout)) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45596-4')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.7' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.2 (Déplacement à l'intérieur sur le même étage) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.7
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45893-5')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.7' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.3 (Marcher à l’intérieur sur le même étage) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.7
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45598-0')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.4 (Se déplacer à l’extérieur) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-USETRSPT')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.5 (Utilisation des moyens de transports) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-USESTRS')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.6 (Monter/descendre les escaliers) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-USEELVTR')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.2.1.1.3.1' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.7 (Utilisation de l’élévateur (cigogne)) must be valued based on CD datatype and the value set 2.16.756.5.30.2.1.1.3.1
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45536-0')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 10.8 (Utilisation des moyens auxiliaires) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46529-4')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 11.1 (Vision) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46530-2')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 11.2 (Audition) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('46531-0')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.6' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 11.3 (Se faire comprendre) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.6
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('45483-5')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.10' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 12.1 (Mémoire à court terme) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.10
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(code[@code=('X-ORIENTATION')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 12.2 (Orientation) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('42849-0')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 12.3 (Signes d'état confusionnel) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('57217-2')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.11' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 12.4 (Comprendre les autres) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.11
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('54624-2')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.9' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 12.5 (Facultés cognitives pour les décisions courantes) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.9
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('X-AVQSCORE')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.12' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 13.1 (AVQ échelle hiérarchique) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.12
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(hl7:code[@code=('79535-1')]) or (hl7:value[@xsi:type='CD' and ((@codeSystem='2.16.756.5.30.1.1.1.1.3.6.3.11.13' and @code) or (@nullFlavor='UNK'))])">(cdachsmcp_entry_EvaluationObservation): 
        The field 13.2 (Echelle de performance cognitive version 2) must be valued based on CD datatype and the value set 2.16.756.5.30.1.1.1.1.3.6.3.11.13
      </assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108']) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108']) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76']) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76']) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6']) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6']) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:id[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:effectiveTime) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:effectiveTime) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:effectiveTime appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] | hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="$elmcount &gt;= 1">(cdachsmcp_entry_EvaluationObservation): choice (hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) does not contain enough elements [min 1x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="$elmcount &lt;= 2">(cdachsmcp_entry_EvaluationObservation): choice (hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]  or  hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) contains too many elements [max 2x]</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &gt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108']
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108']"
         id="d20e8525-false-d45708e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.108')">(cdachsmcp_entry_EvaluationObservation): The value for root SHALL be '2.16.756.5.30.1.1.10.4.108'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76']
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76']"
         id="d20e8530-false-d45723e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.4.76')">(cdachsmcp_entry_EvaluationObservation): The value for root SHALL be '2.16.756.5.30.1.1.10.4.76'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6']
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6']"
         id="d20e8536-false-d45738e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6')">(cdachsmcp_entry_EvaluationObservation): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13']"
         id="d20e8541-false-d45753e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.4.13')">(cdachsmcp_entry_EvaluationObservation): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.4.13'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']"
         id="d20e8546-false-d45768e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@root) = ('2.16.840.1.113883.10.20.1.31')">(cdachsmcp_entry_EvaluationObservation): The value for root SHALL be '2.16.840.1.113883.10.20.1.31'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:id[not(@nullFlavor)]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:id[not(@nullFlavor)]"
         id="d20e8551-false-d45782e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d20e8553-false-d45795e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.3-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdachsmcp_entry_EvaluationObservation): The element value SHALL be one of '2.16.756.5.30.1.1.1.1.3.6.3.11.3 Evaluation Elements (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]"
         id="d20e8558-false-d45815e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ED", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="count(hl7:reference) &lt;= 1">(cdachsmcp_entry_EvaluationObservation): element hl7:reference appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]/hl7:reference
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:text[not(@nullFlavor)]/hl7:reference"
         id="d20e8560-false-d45832e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="@value">(cdachsmcp_entry_EvaluationObservation): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(@value) or string-length(@value)&gt;0">(cdachsmcp_entry_EvaluationObservation): Attribute @value SHALL be of data type 'st'  - '<value-of select="@value"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:statusCode[@code = 'completed']
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:statusCode[@code = 'completed']"
         id="d20e8567-false-d45849e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="string(@code) = ('completed')">(cdachsmcp_entry_EvaluationObservation): The value for code SHALL be 'completed'. Found: "<value-of select="@code"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:effectiveTime
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:effectiveTime"
         id="d20e8572-false-d45863e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_entry_EvaluationObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(*)">(cdachsmcp_entry_EvaluationObservation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code or concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor = doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d20e8576-false-d45895e0">
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]]) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(cdachsmcp_entry_EvaluationObservation): The element value SHALL be one of '2.16.756.5.30.1.1.11.1 Standard CDA Body Selection (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.6 Evaluation Understanding (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.7 Evaluation Physical Movements (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.8 Evaluation Medication Intake (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.9 Evaluation Cognitive Decision Ability (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.10 Evaluation Cognition Memory (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.11 Evaluation Daily Activity (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.12 Evaluation AVQ (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.13 Cognitive Performance Scale (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.756.5.30.1.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.6-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.7-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.8-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.9-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.11-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.12-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-2.16.756.5.30.1.1.1.1.3.6.3.11.13-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(cdachsmcp_entry_EvaluationObservation): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.756.5.30.1.1.11.1 Standard CDA Body Selection (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.6 Evaluation Understanding (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.7 Evaluation Physical Movements (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.8 Evaluation Medication Intake (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.9 Evaluation Cognitive Decision Ability (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.10 Evaluation Cognition Memory (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.11 Evaluation Daily Activity (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.12 Evaluation AVQ (DYNAMIC) or 2.16.756.5.30.1.1.1.1.3.6.3.11.13 Cognitive Performance Scale (DYNAMIC).</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="@xsi:type">(cdachsmcp_entry_EvaluationObservation): attribute @xsi:type SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.4.108
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (cdachsmcp_entry_EvaluationObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.108'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.4.76'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.3.6'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.13'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.31']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d20e8603-false-d45966e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.4.108-2017-09-15T095410.html"
              test="@xsi:type">(cdachsmcp_entry_EvaluationObservation): attribute @xsi:type SHALL be present.</assert>
   </rule>
</pattern>
