<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.9.53
Name: Person Name Information Compilation - eCH-0011 with Suffix
Description:  Person name information (with required family name, given name and suffix) according to the eCH-0011 V8.1 nameData data type and DMST V3.1. See https://www.ech.ch/vechweb/page?p=dossier&documentNumber=eCH-0011&documentVersion=8.1, section 3.3.2 nameData – Namensangaben for more information. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221">
   <title>Person Name Information Compilation - eCH-0011 with Suffix</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/" id="d20e11700-false-d53278e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="count(hl7:name) &gt;= 1">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="count(hl7:name) &lt;= 1">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): element hl7:name appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name" id="d20e11736-false-d53293e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="string(@use) = ('L') or not(@use)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): The value for use SHALL be 'L'. Found: "<value-of select="@use"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="count(hl7:family[not(tokenize(@qualifier, '\s'))]) &gt;= 1">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): element hl7:family[not(tokenize(@qualifier, '\s'))] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="count(hl7:given[not(tokenize(@qualifier, '\s'))]) &gt;= 1">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): element hl7:given[not(tokenize(@qualifier, '\s'))] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="count(hl7:suffix) &gt;= 1">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): element hl7:suffix is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name/hl7:prefix
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name/hl7:prefix" id="d20e11747-false-d53338e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ENXP", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="string(@qualifier) = ('AC')">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): The value for qualifier SHALL be 'AC'. Found: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name/hl7:family[not(tokenize(@qualifier, '\s'))]
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name/hl7:family[not(tokenize(@qualifier, '\s'))]"
         id="d20e11759-false-d53352e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ENXP", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="not(@qualifier)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): attribute @qualifier MAY NOT be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="not(@qualifier) or string-length(@qualifier) &gt; 0">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): Attribute @qualifier SHALL be of data type 'set_cs'  - '<value-of select="@qualifier"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name/hl7:family
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name/hl7:family" id="d20e11771-false-d53368e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ENXP", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="string(@qualifier) = ('BR')">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): The value for qualifier SHALL be 'BR'. Found: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name/hl7:given[not(tokenize(@qualifier, '\s'))]
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name/hl7:given[not(tokenize(@qualifier, '\s'))]"
         id="d20e11784-false-d53382e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ENXP", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="not(@qualifier)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): attribute @qualifier MAY NOT be present.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="not(@qualifier) or string-length(@qualifier) &gt; 0">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): Attribute @qualifier SHALL be of data type 'set_cs'  - '<value-of select="@qualifier"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name/hl7:given
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name/hl7:given" id="d20e11796-false-d53398e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ENXP", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="string(@qualifier) = ('CL')">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): The value for qualifier SHALL be 'CL'. Found: "<value-of select="@qualifier"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.9.53
Context: /hl7:name/hl7:suffix
Item: (cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix)
-->

   <rule context="/hl7:name/hl7:suffix" id="d20e11808-false-d53412e0">
      <extends rule="ENXP"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ENXP", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T132935/tmp-2.16.756.5.30.1.1.10.9.53-2018-08-29T212221.html"
              test="string(@qualifier) = ('PR')">(cdachsmcp_other_PersonNameInformationCompilation-eCH-0011WithSuffix): The value for qualifier SHALL be 'PR'. Found: "<value-of select="@qualifier"/>"</assert>
   </rule>
</pattern>
